> ## Documentation Index
> Fetch the complete documentation index at: https://polaris.nimonic.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 인증 토큰 재발급

> 리프레시 토큰을 사용해 액세스 토큰을 재발급하고 기존 리프레시 토큰을 무효화합니다.



## OpenAPI

````yaml /api-docs.json post /api/v1/auth/refresh
openapi: 3.1.0
info:
  title: Polaris API
  version: 0.0.1
servers:
  - url: https://k-polaris.life
    description: Polaris API 서버
security: []
paths:
  /api/v1/auth/refresh:
    post:
      tags:
        - 인증
      summary: 인증 토큰 재발급
      description: 리프레시 토큰을 사용해 액세스 토큰을 재발급하고 기존 리프레시 토큰을 무효화합니다.
      operationId: refresh
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/AuthTokenResponse'
components:
  schemas:
    AuthTokenResponse:
      type: object
      properties:
        accessToken:
          type: string
        refreshToken:
          type: string
        expiresIn:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64

````